petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexSetCone

Set the points on the in-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetCone(DM dm, PetscInt p, const PetscInt cone[])

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart()
| cone | - An array of points which are on the in-edges for point p

### Output Parameter

### Note

This should be called after all calls to DMPlexSetConeSize() and DMSetUp().

### See Also

DMPlexCreate(), DMPlexGetCone(), DMPlexSetChart(), DMPlexSetConeSize(), DMSetUp()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html